Package org.apache.nutch.util

## Class HadoopFSUtil

- java.lang.Object
- - org.apache.nutch.util.HadoopFSUtil

-     public class HadoopFSUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HadoopFSUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PathFilter` | `getPassAllFilter()` | Get a path filter which allows all paths.
    `static PathFilter` | `getPassDirectoriesFilter​(FileSystem fs)` | Get a path filter which allows all directories.
    `static Path[]` | `getPaths​(FileStatus[] stats)` | Turns an array of FileStatus into an array of Paths.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopFSUtil

          public HadoopFSUtil()

  - ### Method Detail

    - #### getPassAllFilter

          public static PathFilter getPassAllFilter()

      Get a path filter which allows all paths.
      Returns:
        `PathFilter`

    - #### getPassDirectoriesFilter

          public static PathFilter getPassDirectoriesFilter​(FileSystem fs)

      Get a path filter which allows all directories.
      Parameters:
        `fs` - A `FileSystem` used to determine directories.
      Returns:
        `PathFilter`

    - #### getPaths

          public static Path[] getPaths​(FileStatus[] stats)

      Turns an array of FileStatus into an array of Paths. May return null if input is null.
      Parameters:
        `stats` - A `FileStatus` array
      Returns:
        `Path` array